RDX.RegisterOOBEObject({
context = "GLOBAL";
name = "BytUnitFrames";
title = "BytUnitFrames";
version = 24;
PreInstallScript = function()
    RDX.RegisterOOBEOption({
        name = "BytUnitFrames_install";
        text = "Install the BytUnitFrames";
        sel = true;
    });
end;
InstallCondition = function()
    return RDX.GetOOBEOptionState("BytUnitFrames_install");
end;
data = {
-- Begin RDX Data Export
-- Begin Export Data for BytUnitFrames
	["BytUnitFrames"] = {
		["infoAuthor"] = "Firieth",
		["Player"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: LW Lock/Unlock",
					["titleColor"] = {
						["a"] = 1,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bkdColor"] = {
						["a"] = 0.5,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
				}, -- [1]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytUnitFrames:StatusBar_Single",
				}, -- [2]
				{
					["feature"] = "layout_single_unitframe",
					["interval"] = 0,
					["version"] = 1,
					["unit"] = "player",
				}, -- [3]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hClassIcon",
					["version"] = 1,
					["mbFriendly"] = "BytUnitFrames:StatusBar_Single_MB_ClassIcon",
				}, -- [4]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hPlayer",
					["version"] = 1,
					["mbFriendly"] = "BytUnitFrames:StatusBar_Single_MB_Player",
				}, -- [5]
			},
		},
		["Pet"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: LW Lock/Unlock",
					["titleColor"] = {
						["a"] = 1,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bkdColor"] = {
						["a"] = 0.5,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
				}, -- [1]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytUnitFrames:StatusBar_Single",
				}, -- [2]
				{
					["feature"] = "layout_single_unitframe",
					["unitWatch"] = 1,
					["version"] = 1,
					["interval"] = 0,
					["clickable"] = 1,
					["unit"] = "pet",
				}, -- [3]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hClassIcon",
					["version"] = 1,
					["mbFriendly"] = "BytUnitFrames:StatusBar_Single_MB_ClassIcon",
				}, -- [4]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hPlayer",
					["version"] = 1,
					["mbFriendly"] = "BytUnitFrames:StatusBar_Single_MB_Player",
				}, -- [5]
			},
		},
		["infoComment"] = "",
		["infoVersion"] = "1.0.0",
		["StatusBar_Single_MB_ClassIcon"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "menu",
				},
				["2"] = {
				},
			},
		},
		["Byt_Scripted_Vars"] = {
			["ty"] = "Script",
			["version"] = 1,
			["data"] = {
				["script"] = "local statusTexture = \"\"\n\nlocal leader = false\nif( UnitIsPartyLeader(uid) ~= nil)then\n  leader = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Leader\"\nend\n\nlocal targeted = false\nif UnitName(\"target\") == UnitName(uid) then\n  targeted = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Targeted\"\nend\n\nlocal disconnected = false\nif ( UnitIsConnected (uid) == nil ) then\n  disconnected = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\UnPlugged\"\nend\n\nlocal dead = false\nif( UnitIsDead(uid) ~= nil) then\n  dead = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Dead\"\nend\n\nlocal ghost = false\nif (UnitIsGhost(uid) ~= nil)then\n  ghost = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Dead\"\nend\n\nlocal afk = false\nif (UnitIsAFK(uid) ~= nil)then\n  afk = true\n  statusTexture = \"Interface\\\\AddOns\\\\OOBE_BytTextures\\\\Textures\\\\Afk\"\nend\n\n\n\n\n\n\n\n\n\n",
			},
		},
		["Focus"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: LW Lock/Unlock",
					["titleColor"] = {
						["a"] = 1,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
					["bkdColor"] = {
						["a"] = 0.5,
						["r"] = 0,
						["g"] = 0,
						["b"] = 0,
					},
				}, -- [1]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytUnitFrames:StatusBar_Single",
				}, -- [2]
				{
					["feature"] = "layout_single_unitframe",
					["unitWatch"] = 1,
					["version"] = 1,
					["interval"] = 0.07500000000000001,
					["clickable"] = 1,
					["unit"] = "focus",
				}, -- [3]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hClassIcon",
					["version"] = 1,
					["mbFriendly"] = "BytUnitFrames:StatusBar_Single_MB_ClassIcon",
				}, -- [4]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hPlayer",
					["version"] = 1,
					["mbFriendly"] = "BytUnitFrames:StatusBar_Single_MB_Player",
				}, -- [5]
			},
		},
		["Target"] = {
			["ty"] = "Window",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Frame: LW Lock/Unlock",
					["titleColor"] = {
						["a"] = 1,
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
					["bkdColor"] = {
						["a"] = 0.5,
						["b"] = 0,
						["g"] = 0,
						["r"] = 0,
					},
				}, -- [1]
				{
					["feature"] = "UnitFrame",
					["design"] = "BytUnitFrames:StatusBar_Single",
				}, -- [2]
				{
					["feature"] = "layout_single_unitframe",
					["unitWatch"] = 1,
					["version"] = 1,
					["interval"] = 0.07500000000000001,
					["clickable"] = 1,
					["unit"] = "target",
				}, -- [3]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hClassIcon",
					["version"] = 1,
					["mbFriendly"] = "BytUnitFrames:StatusBar_Single_MB_ClassIcon",
				}, -- [4]
				{
					["feature"] = "mousebindings",
					["hotspot"] = "hPlayer",
					["version"] = 1,
					["mbFriendly"] = "BytUnitFrames:StatusBar_Single_MB_Player",
				}, -- [5]
			},
		},
		["infoAuthorRealm"] = "Gurubashi",
		["StatusBar_Single"] = {
			["ty"] = "UnitFrameType",
			["version"] = 1,
			["data"] = {
				{
					["feature"] = "Variable: Fractional health (fh)",
				}, -- [1]
				{
					["feature"] = "Variable: Fractional mana (fm)",
				}, -- [2]
				{
					["feature"] = "var_pred_health",
				}, -- [3]
				{
					["feature"] = "var_threat",
				}, -- [4]
				{
					["feature"] = "var_isMaxHealth",
				}, -- [5]
				{
					["feature"] = "ColorVariable: Unit PowerType Color",
					["rageColor"] = {
						["a"] = 1,
						["b"] = 0,
						["g"] = 0,
						["r"] = 1,
					},
					["energyColor"] = {
						["a"] = 1,
						["b"] = 0,
						["g"] = 0.75,
						["r"] = 0.75,
					},
					["runeColor"] = {
						["a"] = 1,
						["b"] = 0.9098039215686274,
						["g"] = 1,
						["r"] = 0,
					},
					["manaColor"] = {
						["a"] = 1,
						["b"] = 1,
						["g"] = 0.5294117647058824,
						["r"] = 0,
					},
				}, -- [6]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "HealthFull",
					["color"] = {
						["a"] = 1,
						["b"] = 0.203921568627451,
						["g"] = 1,
						["r"] = 0,
					},
				}, -- [7]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "HealthMissing",
					["color"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 0,
						["b"] = 0.0392156862745098,
					},
				}, -- [8]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "NotInRange",
					["color"] = {
						["a"] = 1,
						["r"] = 0.4509803921568628,
						["g"] = 0.4470588235294117,
						["b"] = 0.4588235294117647,
					},
				}, -- [9]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "Health",
					["color"] = {
						["a"] = 1,
						["b"] = 0.149,
						["g"] = 1,
						["r"] = 0,
					},
				}, -- [10]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "Aggro",
					["color"] = {
						["a"] = 1,
						["b"] = 0.1254901960784314,
						["g"] = 0.2627450980392157,
						["r"] = 0.8784313725490196,
					},
				}, -- [11]
				{
					["feature"] = "ColorVariable: Static Color",
					["name"] = "PredictedHealth",
					["color"] = {
						["a"] = 1,
						["b"] = 0.8313725490196078,
						["g"] = 1,
						["r"] = 0.3529411764705882,
					},
				}, -- [12]
				{
					["condVar"] = "ismaxhealth",
					["name"] = "ColorShowMissingHealth",
					["colorVar1"] = "HealthFull",
					["feature"] = "ColorVariable: Conditional Color",
					["colorVar2"] = "HealthMissing",
				}, -- [13]
				{
					["feature"] = "Variable: Unit In Set",
					["name"] = "Range",
					["set"] = {
						["class"] = "file",
						["file"] = "Builtin:range_0_40",
					},
				}, -- [14]
				{
					["feature"] = "Variable: Unit In Set",
					["name"] = "hasAgro",
					["set"] = {
						["class"] = "ags",
					},
				}, -- [15]
				{
					["feature"] = "ColorVariable: Conditional Color",
					["name"] = "hasAggro",
					["colorVar1"] = "Aggro",
					["condVar"] = "hasAgro_flag",
					["colorVar2"] = "Health",
				}, -- [16]
				{
					["feature"] = "ColorVariable: Conditional Color",
					["name"] = "InRange",
					["colorVar1"] = "hasAggro",
					["condVar"] = "Range_flag",
					["colorVar2"] = "NotInRange",
				}, -- [17]
				{
					["feature"] = "Variable: Scripted",
					["script"] = "BytUnitFrames:Byt_Scripted_Vars",
				}, -- [18]
				{
					["feature"] = "base_default",
					["h"] = 18,
					["version"] = 1,
					["w"] = 102,
					["alpha"] = 1,
				}, -- [19]
				{
					["feature"] = "Subframe",
					["h"] = 16,
					["name"] = "backDrop",
					["flOffset"] = 0,
					["owner"] = "Base",
					["w"] = 102,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = -1,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
				}, -- [20]
				{
					["feature"] = "backdrop",
					["owner"] = "backDrop",
					["version"] = 1,
					["bkd"] = {
						["_border"] = "none",
						["bgFile"] = "Interface\\Addons\\VFL\\Skin\\white",
						["_backdrop"] = "solid",
						["tile"] = false,
						["ka"] = 0.898999996483326,
						["kb"] = 0,
						["kg"] = 0,
						["kr"] = 0,
					},
				}, -- [21]
				{
					["feature"] = "Subframe",
					["h"] = 18,
					["name"] = "fTarget",
					["flOffset"] = 0,
					["owner"] = "Base",
					["w"] = 102,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
				}, -- [22]
				{
					["feature"] = "backdrop",
					["owner"] = "fTarget",
					["version"] = 1,
					["bkd"] = {
						["ka"] = 1,
						["edgeSize"] = 8,
						["kb"] = 0,
						["kr"] = 0,
						["tile"] = false,
						["_backdrop"] = "solid",
						["edgeFile"] = "Interface\\Addons\\VFL\\Skin\\straight-border",
						["bgFile"] = "Interface\\Addons\\VFL\\Skin\\white",
						["kg"] = 0,
						["_border"] = "straight",
						["insets"] = {
							["top"] = 2,
							["right"] = 2,
							["left"] = 2,
							["bottom"] = 2,
						},
					},
				}, -- [23]
				{
					["feature"] = "shader_showhide",
					["owner"] = "fTarget",
					["version"] = 1,
					["flag"] = "targeted",
				}, -- [24]
				{
					["feature"] = "Subframe",
					["h"] = 14,
					["name"] = "Level1",
					["flOffset"] = 1,
					["owner"] = "Base",
					["w"] = 100,
					["anchor"] = {
						["dx"] = 1,
						["dy"] = -2,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
				}, -- [25]
				{
					["feature"] = "Subframe",
					["h"] = 14,
					["name"] = "Level2",
					["flOffset"] = 2,
					["owner"] = "Base",
					["w"] = 100,
					["anchor"] = {
						["dx"] = 1,
						["dy"] = -2,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
				}, -- [26]
				{
					["feature"] = "Subframe",
					["h"] = 14,
					["name"] = "Level3",
					["flOffset"] = 3,
					["owner"] = "Base",
					["w"] = 100,
					["anchor"] = {
						["dx"] = 1,
						["dy"] = -2,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
				}, -- [27]
				{
					["feature"] = "Subframe",
					["h"] = 14,
					["name"] = "Level4",
					["flOffset"] = 4,
					["owner"] = "Base",
					["w"] = 100,
					["anchor"] = {
						["dx"] = 1,
						["dy"] = -2,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
				}, -- [28]
				{
					["frac"] = "fh",
					["owner"] = "Level2",
					["w"] = 98,
					["feature"] = "statusbar_horiz",
					["h"] = 11,
					["version"] = 1,
					["colorVar"] = "Health",
					["orientation"] = "HORIZONTAL",
					["name"] = "Health",
					["anchor"] = {
						["dx"] = 1,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Level2",
					},
					["texture"] = {
						["blendMode"] = "BLEND",
						["path"] = "Interface\\Addons\\RDX_mediapack\\sharedmedia\\statusbars\\Cilo",
					},
				}, -- [29]
				{
					["frac"] = "fm",
					["owner"] = "Level2",
					["w"] = 98,
					["feature"] = "statusbar_horiz",
					["h"] = 2,
					["version"] = 1,
					["colorVar"] = "powerColor",
					["orientation"] = "HORIZONTAL",
					["name"] = "Mana",
					["anchor"] = {
						["dx"] = 1,
						["dy"] = -12,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Level2",
					},
					["texture"] = {
						["blendMode"] = "BLEND",
						["path"] = "Interface\\Addons\\RDX_mediapack\\sharedmedia\\statusbars\\Cilo",
					},
				}, -- [30]
				{
					["frac"] = "pfh",
					["owner"] = "Level1",
					["w"] = 98,
					["feature"] = "statusbar_horiz",
					["h"] = 11,
					["version"] = 1,
					["colorVar"] = "PredictedHealth",
					["orientation"] = "HORIZONTAL",
					["anchor"] = {
						["dx"] = 1,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Level1",
					},
					["name"] = "incommingHeal",
					["texture"] = {
						["blendMode"] = "BLEND",
						["path"] = "Interface\\Addons\\RDX_mediapack\\sharedmedia\\statusbars\\Cilo",
					},
				}, -- [31]
				{
					["owner"] = "Level4",
					["w"] = 75,
					["classColor"] = 1,
					["font"] = {
						["sr"] = 0,
						["face"] = "Interface\\Addons\\RDX_mediapack\\Fonts\\BNKGOTHM.TTF",
						["justifyV"] = "TOP",
						["sb"] = 0,
						["sa"] = 1,
						["sg"] = 0,
						["name"] = "Default",
						["sx"] = 1,
						["sy"] = -1,
						["justifyH"] = "LEFT",
						["title"] = "Default",
						["size"] = 9,
					},
					["version"] = 1,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 2,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Level4",
					},
					["h"] = 14,
					["feature"] = "txt_np",
					["name"] = "np",
				}, -- [32]
				{
					["owner"] = "Level4",
					["w"] = 0,
					["staticColor"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["feature"] = "txt_status",
					["ty"] = "hptxt",
					["version"] = 1,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "BOTTOMLEFT",
						["rp"] = "BOTTOMLEFT",
						["af"] = "Level4",
					},
					["name"] = "StatusHP",
					["h"] = 14,
					["font"] = {
						["sr"] = 0,
						["face"] = "Interface\\Addons\\RDX_mediapack\\Fonts\\BNKGOTHM.TTF",
						["justifyV"] = "BOTTOM",
						["sb"] = 0,
						["sa"] = 1,
						["sg"] = 0,
						["title"] = "Default",
						["sx"] = 1,
						["name"] = "Default",
						["justifyH"] = "LEFT",
						["sy"] = -1,
						["size"] = 7,
					},
				}, -- [33]
				{
					["owner"] = "Level4",
					["w"] = 40,
					["staticColor"] = {
						["a"] = 1,
						["r"] = 0.6392156862745098,
						["g"] = 0,
						["b"] = 0.02745098039215686,
					},
					["feature"] = "txt_status",
					["ty"] = "hpm",
					["version"] = 1,
					["anchor"] = {
						["dx"] = -2,
						["dy"] = 2,
						["lp"] = "TOPRIGHT",
						["rp"] = "TOPRIGHT",
						["af"] = "Level4",
					},
					["name"] = "HPMissing",
					["h"] = 14,
					["font"] = {
						["sr"] = 0,
						["face"] = "Interface\\Addons\\RDX_mediapack\\Fonts\\BNKGOTHM.TTF",
						["justifyV"] = "TOP",
						["sb"] = 0,
						["sa"] = 1,
						["sg"] = 0,
						["justifyH"] = "RIGHT",
						["sx"] = 1,
						["sy"] = -1,
						["title"] = "Default",
						["name"] = "Default",
						["size"] = 8,
					},
				}, -- [34]
				{
					["feature"] = "Raid Target Icon",
					["h"] = 10,
					["name"] = "RaidTargetIcon",
					["ButtonSkinOffset"] = 5,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 5,
						["lp"] = "LEFT",
						["rp"] = "RIGHT",
						["af"] = "Level4",
					},
					["owner"] = "Level4",
					["w"] = 10,
					["drawLayer"] = "ARTWORK",
				}, -- [35]
				{
					["feature"] = "tex_class",
					["h"] = 14,
					["name"] = "rci",
					["ButtonSkinOffset"] = 10,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPRIGHT",
						["rp"] = "TOPLEFT",
						["af"] = "Level1",
					},
					["owner"] = "Level1",
					["w"] = 14,
					["drawLayer"] = "ARTWORK",
				}, -- [36]
				{
					["w"] = 14,
					["feature"] = "hotspot",
					["h"] = 14,
					["version"] = 1,
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = -12,
						["dy"] = 0,
						["lp"] = "LEFT",
						["rp"] = "LEFT",
						["af"] = "Base",
					},
					["name"] = "hClassIcon",
					["flo"] = 3,
					["secure"] = 1,
				}, -- [37]
				{
					["mover"] = 1,
					["w"] = 100,
					["feature"] = "hotspot",
					["h"] = 14,
					["version"] = 1,
					["hlt"] = {
						["blendMode"] = "ADD",
						["path"] = "Interface\\QuestFrame\\UI-QuestTitleHighlight",
					},
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "LEFT",
						["rp"] = "LEFT",
						["af"] = "Base",
					},
					["name"] = "hPlayer",
					["flo"] = 3,
					["secure"] = 1,
				}, -- [38]
				{
					["feature"] = "Raid Leader Icon",
					["h"] = 10,
					["name"] = "rli",
					["ButtonSkinOffset"] = 10,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 5,
						["lp"] = "CENTER",
						["rp"] = "CENTER",
						["af"] = "Level4",
					},
					["owner"] = "Level4",
					["w"] = 10,
					["drawLayer"] = "ARTWORK",
				}, -- [39]
				{
					["cdFont"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "LEFT",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 6,
					},
					["cdTimerType"] = "COOLDOWN&TEXT",
					["rows"] = 6,
					["fontst"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "LEFT",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 12,
					},
					["cdoffy"] = -10,
					["feature"] = "aura_icons",
					["iconspx"] = 9,
					["ButtonSkinOffset"] = 0,
					["anchor"] = {
						["dx"] = -6,
						["dy"] = -13,
						["lp"] = "TOPRIGHT",
						["rp"] = "BOTTOMLEFT",
						["af"] = "Base",
					},
					["externalButtonSkin"] = "Builtin:bs_default",
					["iconspy"] = 8,
					["nIcons"] = 40,
					["cdTxtType"] = "MinSec",
					["mindurationfilter"] = "",
					["auraType"] = "BUFFS",
					["owner"] = "Base",
					["size"] = 14,
					["version"] = 1,
					["name"] = "Buffs",
					["bkd"] = {
						["_border"] = "none",
						["_backdrop"] = "none",
					},
					["orientation"] = "RIGHT",
					["cdHideTxt"] = "0",
					["cdoffx"] = 0,
					["maxdurationfilter"] = "",
				}, -- [40]
				{
					["cdFont"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "LEFT",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 6,
					},
					["cdTimerType"] = "COOLDOWN&TEXT",
					["rows"] = 6,
					["fontst"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "LEFT",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 12,
					},
					["cdoffy"] = -10,
					["feature"] = "aura_icons",
					["iconspx"] = 9,
					["ButtonSkinOffset"] = 0,
					["anchor"] = {
						["dx"] = -6,
						["dy"] = 8,
						["lp"] = "BOTTOMRIGHT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
					["externalButtonSkin"] = "Builtin:bs_default",
					["iconspy"] = 8,
					["nIcons"] = 40,
					["cdTxtType"] = "MinSec",
					["mindurationfilter"] = "",
					["auraType"] = "DEBUFFS",
					["owner"] = "Base",
					["maxdurationfilter"] = "",
					["cdoffx"] = 0,
					["name"] = "Debuffs",
					["cdHideTxt"] = "0",
					["orientation"] = "RIGHT",
					["bkd"] = {
						["_border"] = "none",
						["_backdrop"] = "none",
					},
					["version"] = 1,
					["size"] = 14,
				}, -- [41]
				{
					["feature"] = "var_spellinfo",
				}, -- [42]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fCastBar",
					["flOffset"] = 0,
					["owner"] = "Base",
					["w"] = 131,
					["anchor"] = {
						["dx"] = -21,
						["dy"] = -18,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "Base",
					},
				}, -- [43]
				{
					["feature"] = "backdrop",
					["owner"] = "fCastBar",
					["version"] = 1,
					["bkd"] = {
						["_border"] = "none",
						["bgFile"] = "Interface\\Addons\\VFL\\Skin\\white",
						["_backdrop"] = "solid",
						["tile"] = false,
						["ka"] = 0.5579999685287476,
						["kg"] = 0,
						["kb"] = 0,
						["kr"] = 0,
					},
				}, -- [44]
				{
					["feature"] = "Subframe",
					["h"] = 12,
					["name"] = "fCastBarText",
					["flOffset"] = 2,
					["owner"] = "Base",
					["w"] = 131,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fCastBar",
					},
				}, -- [45]
				{
					["script"] = "",
					["owner"] = "fCastBarText",
					["w"] = 131,
					["feature"] = "txt_custom",
					["font"] = {
						["name"] = "Default",
						["title"] = "Default",
						["justifyH"] = "LEFT",
						["face"] = "Interface\\Addons\\VFL\\Fonts\\LiberationSans-Regular.ttf",
						["justifyV"] = "CENTER",
						["size"] = 8,
					},
					["version"] = 1,
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "LEFT",
						["rp"] = "LEFT",
						["af"] = "fCastBarText",
					},
					["h"] = 12,
					["name"] = "customText",
				}, -- [46]
				{
					["frac"] = "",
					["owner"] = "fCastBar",
					["w"] = 131,
					["color1"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["color2"] = {
						["a"] = 1,
						["r"] = 1,
						["g"] = 1,
						["b"] = 1,
					},
					["h"] = 12,
					["version"] = 1,
					["feature"] = "statusbar_horiz",
					["orientation"] = "HORIZONTAL",
					["name"] = "sbCastBar",
					["anchor"] = {
						["dx"] = 0,
						["dy"] = 0,
						["lp"] = "TOPLEFT",
						["rp"] = "TOPLEFT",
						["af"] = "fCastBar",
					},
					["texture"] = {
						["color"] = {
							["a"] = 1,
							["b"] = 0.06666666666666667,
							["g"] = 0.0392156862745098,
							["r"] = 0.5058823529411765,
						},
						["blendMode"] = "BLEND",
					},
				}, -- [47]
				{
					["statusBar"] = "sbCastBar",
					["textInfo"] = "customText",
					["countType"] = "CountUP",
					["color2"] = {
						["a"] = 1,
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["color1"] = {
						["a"] = 1,
						["b"] = 1,
						["g"] = 1,
						["r"] = 1,
					},
					["feature"] = "free_timer",
					["timerVar"] = "spell",
					["version"] = 1,
					["txt"] = "spell_name_rank",
					["tex"] = "",
					["texIcon"] = "",
					["textType"] = "Hundredths",
					["text"] = "customText",
				}, -- [48]
				{
					["feature"] = "shader_showhide",
					["owner"] = "fCastBar",
					["version"] = 1,
					["flag"] = "spell_casting",
				}, -- [49]
			},
		},
		["StatusBar_Single_MB_Player"] = {
			["ty"] = "MouseBindings",
			["version"] = 1,
			["data"] = {
				["1"] = {
					["action"] = "target",
				},
				["2"] = {
					["action"] = "menu",
				},
			},
		},
	},
-- End Export Data for BytUnitFrames
-- End RDX Data Export
        };
});
